Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.crypto
Interface X509Certificate

All Known Subinterfaces:
  InternalCertificate, TokenCertificate

All Known Implementing Classes:
  PK11Cert, PK11InternalCert, PK11InternalTokenCert, PK11TokenCert

public interface X509Certificate

Certificates handled by JSS. All certificates handled by JSS are of this type.

Method Summary
`byte[]` | `getEncoded()` Returns the DER encoding of this certificate.
`java.security.Principal` | `getIssuerDN()` Returns the RFC 1485 ASCII encoding of the issuer's Subject Name.
`java.lang.String` | `getNickname()` Returns the possibly-null nickname of this certificate.
`java.security.PublicKey` | `getPublicKey()` Extracts the Public Key from this certificate.
`java.math.BigInteger` | `getSerialNumber()` Returns the serial number of this certificate.
`java.security.Principal` | `getSubjectDN()` Returns the RFC 1485 ASCII encoding of the Subject Name.
`int` | `getVersion()`

Method Detail

### getEncoded

    public byte[] getEncoded()
                      throws java.security.cert.CertificateEncodingException

  Returns the DER encoding of this certificate.

    `java.security.cert.CertificateEncodingException`

### getNickname

    public java.lang.String getNickname()

  Returns the possibly-null nickname of this certificate.

### getPublicKey

    public java.security.PublicKey getPublicKey()

  Extracts the Public Key from this certificate.

### getSubjectDN

    public java.security.Principal getSubjectDN()

  Returns the RFC 1485 ASCII encoding of the Subject Name.

### getIssuerDN

    public java.security.Principal getIssuerDN()

  Returns the RFC 1485 ASCII encoding of the issuer's Subject Name.

### getSerialNumber

    public java.math.BigInteger getSerialNumber()

  Returns the serial number of this certificate.

### getVersion

    public int getVersion()

  Returns:
    the version number of this X.509 certificate. 0 means v1, 1 means v2, 2 means v3.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD